[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: nvidia-kernel-src: package generation fails in strange way



On Fri, 2002-12-06 at 18:54, Mario Vukelic wrote:

> /usr/bin/make -C
> /usr/src/modules/nvidia-kernel-1.0.3123/NVIDIA_kernel-1.0-3123
> SYSINCLUDE=/usr/src/kernel-source-2.4.19/include NVdriver
> /bin/sh: - : invalid option

For the record:

My CC environment variable is set to gcc-3.2
When I did a simple 'make-kpkg modules_image', it wouldn't run because
of "gcc mismatch" (I guess make-kpkg compiles with 2.95.4 regardless).
Therefore I ran 'CC= make-kpkg modules_image' which lead to the error
described in my original mail.
Doing a 'unset CC; make-kpkg modules_image' fixed it. I don't claim to
understand, but it works




Reply to: